
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" lang="English">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>Installing PLAnT Python Framework &#8212; PLAnT 0.0.21dev documentation</title>
    <link rel="stylesheet" href="_static/classic.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    './',
        VERSION:     '0.0.21dev',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true,
        SOURCELINK_SUFFIX: '.txt'
      };
    </script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="PLAnT code" href="code.html" />
    <link rel="prev" title="Project Summary" href="project.html" /> 
  </head>
  <body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="code.html" title="PLAnT code"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="project.html" title="Project Summary"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">PLAnT 0.0.21dev documentation</a> &#187;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="installing-plant-python-framework">
<h1>Installing PLAnT Python Framework<a class="headerlink" href="#installing-plant-python-framework" title="Permalink to this headline">¶</a></h1>
<div class="section" id="installing-python-framework-via-pip">
<h2>Installing Python Framework via pip<a class="headerlink" href="#installing-python-framework-via-pip" title="Permalink to this headline">¶</a></h2>
<p>With python and pip installed in your system. You can install PLAnT with the command:</p>
<div class="highlight-default"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="n">python</span> <span class="o">-</span><span class="n">m</span> <span class="n">pip</span> <span class="n">install</span> <span class="n">PLAnT</span><span class="o">-&lt;</span><span class="n">version</span><span class="o">&gt;.</span><span class="n">tar</span><span class="o">.</span><span class="n">gz</span>
</pre></div>
</div>
<p>To execute the scripts you will need to add the &quot;apps&quot; folder to your path.</p>
</div>
<div class="section" id="building-plant-c-framework">
<h2>Building PLAnT C++ Framework<a class="headerlink" href="#building-plant-c-framework" title="Permalink to this headline">¶</a></h2>
<p>PLAnT uses cmake for building and installing the binaries. To build out-of-source, create a build directory, then run the following command from within the build directory</p>
<div class="highlight-default"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="n">cmake</span> <span class="o">../</span><span class="n">plant</span>
</pre></div>
</div>
<p>There might be the need to explicitly tell cmake where to find IpOpt by setting the <cite>IPOPT_DIR</cite> variable to the IpOpt root (libipopt is in <cite>$IPOPT_DIR/lib/libipopt.so)</cite></p>
<div class="highlight-default"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="n">cmake</span> <span class="o">../</span><span class="n">plant</span> <span class="o">-</span><span class="n">DIPOPT_DIR</span><span class="p">:</span><span class="n">PATH</span><span class="o">=~/</span><span class="n">anaconda3</span><span class="o">/</span>
</pre></div>
</div>
<p>Alternatively, the variable <cite>IPOPT_DIR</cite> can be exported in the user environment before running cmake:</p>
<div class="highlight-default"><div class="highlight"><pre><span></span><span class="gp">&gt;&gt;&gt; </span><span class="n">export</span> <span class="n">IPOPT_DIR</span> <span class="o">=</span> <span class="o">~/</span><span class="n">anaconda3</span><span class="o">/</span>
<span class="gp">&gt;&gt;&gt; </span><span class="n">cmake</span> <span class="o">../</span><span class="n">plant</span>
</pre></div>
</div>
<p>The same can be done for GDAL using the variable <cite>GDAL_DIR</cite>.</p>
</div>
</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h4>Previous topic</h4>
  <p class="topless"><a href="project.html"
                        title="previous chapter">Project Summary</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="code.html"
                        title="next chapter">PLAnT code</a></p>
<div id="searchbox" style="display: none" role="search">
  <h3>Quick search</h3>
    <form class="search" action="search.html" method="get">
      <div><input type="text" name="q" /></div>
      <div><input type="submit" value="Go" /></div>
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="code.html" title="PLAnT code"
             >next</a> |</li>
        <li class="right" >
          <a href="project.html" title="Project Summary"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">PLAnT 0.0.21dev documentation</a> &#187;</li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2017, Gustavo H. X. Shiroma, Marco Lavalle.
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 1.6.5.
    </div>
  </body>
</html>